$(document).ready(function () {
    $("body").on("keyup change blur focus click", "#finishTab , .oms, .full, .full2, .fullno, .half, .half2, .halfno, .childwob, .childwob2", calTikt);
    $("body").on("keyup change blur focus click", ".full_2, .full2_2, .fullno_2, .full_3, .full2_3, .fullno_3", calTikt);
    $("body").on("keyup change blur focus click", ".childwobno, .inf, .inf2, .infno, .visachg, .visachgno, .airtax, .airtaxno,.disc, .disc2", calTikt);
    $("body").on("keyup change blur focus click", ".discno, .farediff, .farediff2, .farediffno, .cancelchg, .cancelchg2, .cancelchgno, .amount, .nettot, .cgstno, .sgstno, .igstno, .tcs, .tcsamt, .netamt", calTikt);
    // $("body").on("keyup change blur focus ", '#finishTab, .fullno, .halfno, .childwobno, .infno, .visachgno,.airtax, .airtaxno, .discno, .farediffno, .cancelchgno, .amount, .nettot, .cgstno, .sgstno, .tcs, .netamt', calTikt);
    $("#submit").hide();
    $("body").on("focus", '.manualno', addRows);
    $("body").on("blur", '.haji', copyName);
    $("body").on("blur", '.batchno', getDeptDate);
    $("body").on("click", '.taxbtn', getTaxModal);
    $("body").on("click", '.cashbtn', getCashModal);
    $("body").on("click", '#closecash', hidCashModal);
    $("body").on("keyup change blur focus click", '.csfull, .csfullno, .cshalf, .cshalfno, .cschildwob, .cschildwobno, .csinf, .csinfno', calCash);
    $("body").on("click", '#closetax', hidTaxModal);
    $("body").on("click", '.oms', clickModal);
    //    $("body").on("change", '.tour', getregnno);
    $("body").on("change focus", ".tour,.vouchdt,.haji", getRegno);
    $("body").on("change blur keyup", ".tadult", calTax);
    // $("body").on("blur keyup  change", '.makchkin,.makchkout,.madchkin,.madchkout', checkDate);
    $("body").on("blur keyup", ".sector", showdifsec);


    $(".showdifsec").hide();

    showdifsec();
    function showdifsec() {
        var locflsec = ($(".locflsec").val() || "").trim().toUpperCase();
        var sector = ($(".sector").val() || "").trim().toUpperCase();

        if (sector === "") {
            $(".showdifsec").hide();
            return;
        }

        if (locflsec !== sector.substring(0, 3)) {
            $(".showdifsec").show();
        } else {
            $(".showdifsec").hide();
        }
    }


    $('form').on('keyup keypress', function (e) {
        var keyCode = e.keyCode || e.which;
        if (keyCode === 13) {
            e.preventDefault();
            return false;
        }
    });

    var tourtype = $(".tourtype").val();
    if (tourtype != "Haj") {
        $(".disccol").css('visibility', 'visible');
        $(".taxbtn").css('visibility', 'hidden');

    } else {
        $(".taxbtn").css('visibility', 'visible');
        $(".disccol").css('visibility', 'hidden');

    }

    document.addEventListener("keydown", function (zEvent) {

        if (zEvent.ctrlKey && zEvent.altKey && zEvent.code === "KeyT") {
            getCashModal();
            //            alert("Kaise h aap log");
        }
    });

    function calCash() {
        var full = $(".csfull").val(),
            half = $(".cshalf").val(),
            childwob = $(".cschildwob").val(),
            inf = $(".csinf").val(),
            fullno = $(".csfullno").val(),
            halfno = $(".cshalfno").val(),
            childwobno = $(".cschildwobno").val(),
            infno = $(".csinfno").val(),
            fullamt = 0, halfamt = 0, cwbamt = 0, infamt = 0, netcs = 0;

        if (full > 0 && fullno > 0) {
            fullamt = full * fullno;
        }
        if (half > 0 && halfno > 0) {
            halfamt = half * halfno;
        }
        if (childwob > 0 && childwobno > 0) {
            cwbamt = childwob * childwobno;
        }
        if (inf > 0 && infno > 0) {
            infamt = inf * infno;
        }

        netcs = parseFloat(fullamt) + parseFloat(halfamt) + parseFloat(cwbamt) + parseFloat(infamt);

        $(".csfullamt").val(fullamt);
        $(".cshalfamt").val(halfamt);
        $(".cschildwobamt").val(cwbamt);
        $(".csinfamt").val(infamt);
        $(".csnettot").val(netcs);
    }
    function calTax() {
        var tr = $(this).closest("tr"),
            tcsslab = $(".tcsslab").val(),
            ppamt = tr.find(".ppamt").val(),
            fullno = tr.find(".tadult").val(),
            fgst = tr.find(".fgst").val(),
            ftcs1 = tr.find(".ftcs1").val(),
            ftcs2 = tr.find(".ftcs2").val(),
            ftgst = tr.find(".ftgst").val(),
            fgtcs1 = tr.find(".fgtcs1").val(),
            fgtcs2 = tr.find(".fgtcs2").val();

        fgst = ((ppamt * 0.05).toFixed(0));
        var ftamt = parseFloat(ppamt) + parseFloat(fgst);
        if (parseFloat(ftamt) > parseFloat(tcsslab)) {
            ftcs1 = ((parseFloat(tcsslab) * .05).toFixed(0));
            var fbl = parseFloat(ftamt) - parseFloat(tcsslab);
            ftcs2 = ((fbl * 0.20).toFixed(0));
        } else {
            ftcs1 = ((ftamt * .05).toFixed(0));
            ftcs2 = 0;
        }
        ftgst = fgst * fullno;
        fgtcs1 = ftcs1 * fullno;
        fgtcs2 = ftcs2 * fullno;
        tr.find(".fgst").val(fgst);
        tr.find(".ftcs1").val(ftcs1);
        tr.find(".ftcs2").val(ftcs2);
        tr.find(".ftgst").val(ftgst);
        tr.find(".fgtcs1").val(fgtcs1);
        tr.find(".fgtcs2").val(fgtcs2);


    }


    $(".paxmemModal").modal("hide");

    console.log("Modal count:", $('.paxmemModal').length); // Should be 1

    $(".PaxDetails").click(function (e) {
        e.preventDefault(); // Prevents jumping to top
        $(".paxmemModal").modal("show");
    });

    $('.bkinv').click(function () {
        $('.bkinvprint').toggle("");
    });

    $('.bkvprint').click(function () {
        $('.bkvoucherprint').toggle("");
    });


    function clickModal() {
        var tourtype = $(".tourtype").val();
        if (tourtype != "Haj") {
            calTikt();
        } else {

            $(".taxbtn").click();
        }
    }
    function hidCashModal() {
        $(".cashModal").modal("hide");

    }
    function hidTaxModal() {
        var gtgst = $(".gtgst").val(),
            ctgst = (gtgst / 2).toFixed(0),
            gtcs1 = $(".gftcs1").val(),
            gtcs2 = $(".gftcs2").val();

        if ($('.oms').prop("checked") == true) {
            $(".cgstno").val("0");
            $(".sgstno").val("0");
            $(".igstno").val("5");
            $(".igstamt").val(gtgst);
            $(".cgstamt").val("0");
            $(".sgstamt").val("0");

        } else {

            $(".igstamt").val("0");
            $(".cgstamt").val(ctgst);
            $(".sgstamt").val(ctgst);
            $(".cgstno").val("2.5");
            $(".sgstno").val("2.5");
            $(".igstno").val("0");
        }

        if (gtcs1 > 0) {
            $(".tcs").val("2");
        }
        if (gtcs2 > 0) {
            $(".tcs2").val("20");
        }
        $(".tcsamt").val(gtcs1);
        $(".tcsamt2").val(gtcs2);
        calTikt();
        $(".taxModal").modal("hide");
    }
    function getCashModal() {
        var fullno = $(".fullno").val(),
            halfno = $(".halfno").val(),
            childwobno = $(".childwobno").val(),
            infno = $(".infno").val();


        if ($(".csfullno").val() <= 0 || $(".csfullno").val() == "") {
            $(".csfullno").val(fullno);
        }
        if ($(".cshalfno").val() <= 0 || $(".cshalfno").val() == "") {
            $(".cshalfno").val(halfno);
        }
        if ($(".cschildwobno").val() <= 0 || $(".cschildwobno").val() == "") {
            $(".cschildwobno").val(childwobno);
        }
        if ($(".csinfno").val() <= 0 || $(".csinfno").val() == "") {
            $(".csinfno").val(infno);
        }


        $(".cashModal").modal("show");

    }
    function getTaxModal() {
        var full2 = $(".full2").val(),
            full2_2 = $(".full2_2").val(),
            full2_3 = $(".full2_3").val(),
            half2 = $(".half2").val(),
            childwob2 = $(".childwob2").val(),
            inf2 = $(".inf2").val(),
            fullno = $(".fullno").val(),
            fullno_2 = $(".fullno_2").val(),
            fullno_3 = $(".fullno_3").val(),
            halfno = $(".halfno").val(),
            childwobno = $(".childwobno").val(),
            infno = $(".infno").val();
        $(".taxbody").html("");

        $.post("caltax.php", {
            full2: full2, full2_2: full2_2, full2_3: full2_3, fullno_2: fullno_2, fullno_3: fullno_3,
            half2: half2, childwob2: childwob2, inf2: inf2, fullno: fullno, halfno: halfno,
            childwobno: childwobno, infno: infno, para: "T"
        }, function (data) {

            if (data) {
                $(".taxbody").html(data);

                $(".taxModal").modal("show");
            }
        });


    }

    function getDeptDate() {
        var batchno = $(".batchno").val(),
            depdate = $(".depdate").val(),
            data = { batchno: batchno };
        if (depdate == "0000-00-00" || depdate == "") {
            $.ajax({
                type: 'GET',
                dataType: 'json',
                url: "get_dept_date.php",
                data: data,
                success: function (response) {
                    var m = response;
                    $(".depdate").val(m.depdate);
                    $(".passlimit").val(m.passlimit);
                    $(".halfpay").val(m.halfpay);
                    $(".fullpay").val(m.fullpay);
                },
                error: function (request, textStatus, errorThrown) {

                }
            });
        }
    }


    function getRegno() {
        var tour = $(".tour").val(),
            addflg = $(".addflg").val();
        if (addflg == 1) {
            $.ajax({
                type: "POST",
                dataType: "json",
                url: "getregnoGen.php",
                data: { tour: tour },
                success: function (response) {
                    if (response != "") {
                        var regvouch = response.regvouch;
                        $('.regnno').val(regvouch);
                    }
                },
                error: function (request, textStatus, errorThrown) {
                }
            });
        }
    }


    function copyName() {
        var haji = $(".haji").val(),
            surname = $(".surname").val(),
            pax = haji + " " + surname;
        $(".fname").val(pax);
    }

    function addRows() {
        var addflg = $(".addflg").val(),
            ctr = $("#items").val(),
            fullno = $(".fullno").val(),
            fullno_2 = $(".fullno_2").val(),
            fullno_3 = $(".fullno_3").val(),
            halfno = $(".halfno").val(),
            childwobno = $(".childwobno").val(),
            infno = $(".infno").val(),
            detail = ".fetchpart_" + ctr,
            ticktamt = $(".paxbody tr:last").find(".ticktamt").val(),
            touramt = $(".paxbody tr:last").find(".touramt").val(),
            totpax = parseFloat(fullno) + parseFloat(fullno_2) + parseFloat(fullno_3) + parseFloat(halfno) + parseFloat(childwobno) + parseFloat(infno);
        if (addflg == 1) {

            if (parseFloat(totpax) > parseFloat(ctr)) {
                $.post('bookform_add.php', { ctr: ctr, ticktamt: ticktamt, touramt: touramt }, function (data) {
                    $(data).appendTo('.paxbody');
                    ctr++;
                    $('#items').val(ctr);
                    $(detail).select2();
                });
            }
        }
    }


    $("#finishTab").click(function () {

        var vouchno = $('.vouchno').val(),
            vouchdt = $('.vouchdt').val(),
            haji = $('.haji').val(),
            surname = $('.surname').val(),
            craft = $('.craft').val(),
            depdate = $('.depdate').val(),
            passlimit = $('.passlimit').val(),
            halfpay = $('.halfpay').val(),
            fullpay = $('.fullpay').val(),
            add1 = $('.add1').val(),
            city = $('.city').val(),
            mobile = $('.mobile').val(),
            batchno = $('.batchno').val(),
            addflg = $('.addflg').val(),
            valid = true,
            a = 1;
        if (vouchno == '') {
            var message = "Voucher Cannot Be Empty";
            alert(message);
            $("#finishTab").show();
            return false;
            valid = false;
        }
        if (vouchdt == '') {
            var message = "Voucher Date Cannot Be Empty";
            alert(message);
            $("#finishTab").show();
            return false;
            valid = false;
        }

        // if (haji == '') {
        //     var message = "Haji Name Cannot Be Empty";
        //     alert(message);
        //     $("#finishTab").show();
        //     return false;
        //     valid = false;
        // }
        // if (surname == '') {
        //     var message = "Surname Name Cannot Be Empty";
        //     alert(message);
        //     $("#finishTab").show();
        //     return false;
        //     valid = false;
        // }
        // if (craft == '') {
        //     var message = "Airline Cannot Be Empty";
        //     alert(message);
        //     $("#finishTab").show();
        //     return false;
        //     valid = false;
        // }
        // if (depdate == '') {
        //     var message = "Dept. Date Cannot Be Empty";
        //     alert(message);
        //     $("#finishTab").show();
        //     return false;
        //     valid = false;
        // }
        // if (passlimit == '' || passlimit == '0000-00-00') {
        //     var message = "Passport Limit Cannot Be Empty";
        //     alert(message);
        //     $("#finishTab").show();
        //     return false;
        //     valid = false;
        // }
        // if (halfpay == '' || halfpay == '0000-00-00') {
        //     var message = "Half Payment Date Cannot Be Empty";
        //     alert(message);
        //     $("#finishTab").show();
        //     return false;
        //     valid = false;
        // }
        // if (fullpay == '' || fullpay == '0000-00-00') {
        //     var message = "Full Payment Date Cannot Be Empty";
        //     alert(message);
        //     $("#finishTab").show();
        //     return false;
        //     valid = false;
        // }
        // if (add1 == '') {
        //     var message = "Address 1 Cannot Be Empty";
        //     alert(message);
        //     $("#finishTab").show();
        //     return false;
        //     valid = false;
        // }
        // if (city == '') {
        //     var message = "City Cannot Be Empty";
        //     alert(message);
        //     $("#finishTab").show();
        //     return false;
        //     valid = false;
        // }
        // if (mobile == '') {
        //     var message = "Mobile Cannot Be Empty";
        //     alert(message);
        //     $("#finishTab").show();
        //     return false;
        //     valid = false;
        // }
        // if (batchno == '') {
        //     var message = "Batch No. Cannot Be Empty";
        //     alert(message);
        //     $("#finishTab").show();
        //     return false;
        //     valid = false;
        // }

        if (addflg == 1) {
            $(".paxModal").modal({
                backdrop: "static",
                keyboard: false,
            });

            var haji = $(".haji").val();
            var surname = $(".surname").val();
            var tikt = $(".full").val();
            var tour = $(".full2").val();
            var paxname = haji.trim();
            $(".suffix").val("MR").trigger("change");
            $(".paxname").val(paxname);
            $(".paxgend").val("Male").trigger("change");
            $(".tiktamt").val(tikt);
            $(".touramt").val(tour);
            $(".paxModal").modal("show");



            if (valid) {
                var isValid = true;
                if (isValid) {
                    $("#finishTab").hide();
                    $("#submit").show();
                    $("#cancel").hide();
                }
            }
        } else {
            if (valid) {
                //                alert('this');
                var isValid = true;
                if (isValid) {
                    $("#finishTab").hide();
                    $("#submit").click();
                    $("#cancel").hide();
                }
            }
        }
    });
    function calTikt() {

        var
            mantcs = $(".mantcs").val(),
            full = $(".full").val(),
            full2 = $(".full2").val(),
            fullno = $(".fullno").val(),
            full_2 = $(".full_2").val(),
            full2_2 = $(".full2_2").val(),
            fullno_2 = $(".fullno_2").val(),
            full_3 = $(".full_3").val(),
            full2_3 = $(".full2_3").val(),
            fullno_3 = $(".fullno_3").val(),
            half = $(".half").val(),
            half2 = $(".half2").val(),
            halfno = $(".halfno").val(),
            childwob = $(".childwob").val(),
            childwob2 = $(".childwob2").val(),
            childwobno = $(".childwobno").val(),
            inf = $(".inf").val(),
            inf2 = $(".inf2").val(),
            infno = $(".infno").val(),
            visachg = $(".visachg").val(),
            visachgno = $(".visachgno").val(),
            airtax = $(".airtax").val(),
            airtaxno = $(".airtaxno").val(),
            disc = $(".disc").val(),
            disc2 = $(".disc2").val(),
            discno = $(".discno").val(),
            farediff = $(".farediff").val(),
            farediff2 = $(".farediff2").val(),
            farediffno = $(".farediffno").val(),
            cancelchg = $(".cancelchg").val(),
            cancelchg2 = $(".cancelchg2").val(),
            cancelchgno = $(".cancelchgno").val(),
            cgstno = $(".cgstno").val(),
            sgstno = $(".sgstno").val(),
            igstno = $(".igstno").val(),
            tcs = $(".tcs").val(),
            fulltot = parseFloat(full) + parseFloat(full2),
            fulltot_2 = parseFloat(full_2) + parseFloat(full2_2),
            fulltot_3 = parseFloat(full_3) + parseFloat(full2_3),
            fullamt = fulltot * parseFloat(fullno),
            fullamt_2 = fulltot_2 * parseFloat(fullno_2),
            fullamt_3 = fulltot_3 * parseFloat(fullno_3);
        $(".fullamt").val(fullamt);
        $(".fullamt_2").val(fullamt_2);
        $(".fullamt_3").val(fullamt_3);
        var halftot = parseFloat(half) + parseFloat(half2),
            halfamt = halftot * parseFloat(halfno);
        $(".halfamt").val(halfamt);
        var childwobtot = parseFloat(childwob) + parseFloat(childwob2),
            childwobamt = childwobtot * parseFloat(childwobno);
        $(".childwobamt").val(childwobamt);
        var inftot = parseFloat(inf) + parseFloat(inf2),
            infamt = inftot * parseFloat(infno);
        $(".infamt").val(infamt);
        var visachgamt = parseFloat(visachg) * parseFloat(visachgno);
        $(".visachgamt").val(visachgamt);
        var airtaxamt = parseFloat(airtax) * parseFloat(airtaxno);
        $(".airtaxamt").val(airtaxamt);
        var disctot = parseFloat(disc) + parseFloat(disc2),
            discamt = disctot * parseFloat(discno);
        $(".discamt").val(discamt);
        var faredifftot = parseFloat(farediff) + parseFloat(farediff2),
            farediffamt = parseFloat(faredifftot) * parseFloat(farediffno);
        $(".farediffamt").val(farediffamt);
        var cancelchgtot = parseFloat(cancelchg) + parseFloat(cancelchg2),
            cancelchgamt = cancelchgtot * parseFloat(cancelchgno);
        $(".cancelchgamt").val(cancelchgamt);
        if ((cgstno > 0 || sgstno > 0)) {
            $(".igstno").attr('readonly', true);
            $(".cgstno").removeAttr('readonly');
            $(".sgstno").removeAttr('readonly');
        } else if (igstno > 0) {
            $(".cgstno").attr('readonly', true);
            $(".sgstno").attr('readonly', true);
            $(".igstno").removeAttr('readonly');
        } else {
            $(".igstno").removeAttr('readonly');
            $(".cgstno").removeAttr('readonly');
            $(".sgstno").removeAttr('readonly');
        }

        var amt = fullamt + fullamt_2 + fullamt_3 + halfamt + childwobamt + infamt + visachgamt + airtaxamt;
        $(".amount").val(amt.toFixed(0));
        var nettot = amt - discamt + farediffamt + cancelchgamt;
        $(".nettot").val(nettot.toFixed(2));

        if (tourtype != "Haj") {
            var cgstamt = Math.round(parseFloat(nettot) * parseFloat(cgstno) / 100);
            $(".cgstamt").val(cgstamt.toFixed(0));
            var sgstamt = Math.round(parseFloat(nettot) * parseFloat(sgstno) / 100);
            $(".sgstamt").val(sgstamt.toFixed(0));
            var igstamt = Math.round(parseFloat(nettot) * parseFloat(igstno) / 100);
            $(".igstamt").val(igstamt.toFixed(0));

        } else {

            var cgstamt = $(".cgstamt").val();
            var sgstamt = $(".sgstamt").val();
            var igstamt = $(".igstamt").val();
        }

        //        var netamt1 = nettot + cgstamt + sgstamt + igstamt;


        //        if ($('.oms').prop("checked") == true) {
        //            $(".cgstno")
        //        } else {
        //
        //        }


        var tcsamt = $(".tcsamt").val();
        var tcsamt2 = $(".tcsamt2").val();
        //        var tcsamt = Math.round(parseFloat(netamt1) * parseFloat(tcs) / 100);
        //        $(".tcsamt").val(tcsamt.toFixed(0));
        var netamt = parseFloat(nettot) + parseFloat(cgstamt) + parseFloat(sgstamt) + parseFloat(igstamt) + parseFloat(tcsamt) + parseFloat(tcsamt2);
        var netamount = Math.round(netamt);
        $(".netamt").val(netamount.toFixed(0));
    }


});